<?php 
require_once '../../../Clases/Compra.php';
require_once '../../../Clases/Imprimir.php';
session_start();
 error_reporting(E_ALL);
   ini_set('display_errors', 1);
$carrito = $_SESSION["carrito"];
$totaldolar = $_SESSION["totaldolar"];
$proveedor = $_SESSION["proveedor"];
$usuario =  $_SESSION["iduser"];
$f = $_POST['connWithNumber'];
$cl = $_POST['cedulaf'];

$d = new compras();

$d->crearCompra($carrito, $totaldolar, $proveedor,$usuario);

$imprimir = new imprimir();
$urlDelPDFC = $imprimir->generarPDFC($cl, $f);

// Luego, puedes almacenar la URL del PDF en una variable de sesión para recuperarla después de la redirección
$_SESSION["urlDelPDFC"] = $urlDelPDFC;

// remover el carrito de compra
unset($_SESSION["carrito"]);
// remover el total
unset($_SESSION["total"]);

unset($_SESSION["proveedor"]);
// redirigir hacia index
header("location: ../../compra.php?compra_exit=1");
?>